/*****************************************************************************
  SHEET.DCL  - Written by Scott McFarlane, Fall 1992
               Copyright (c) 1992, Woolpert Consultants
*/

write_sheet : dialog {
	label = "Write Sheet";
	: column {
		: row {
			sheet_name;
			configure_button;
		}
		sheet_desc;
		existing_sheets;
		invalid_message;
		: row {
			fixed_width = true;
			alignment = centered;
			write_button;
			exit_help_info;
		}
	}
}

read_sheet : dialog {
	label = "Restore Sheet";
	: column {
		: row {
			: column {
				sheet_name;
				existing_sheets;
			}
			spacer_1;
			: column {
			 	regenauto_tile;
		 		restore_tile;
				vplayer_tile;
				configure_button;
			}
		}
		invalid_message;
		: row {
			fixed_width = true;
			alignment = centered;
			restore_button;
			exit_help_info;
		}
	}
}

exit_help_info : row {
	: spacer { width = 2; }
	exit_button;
	: spacer { width = 2; }
	help_button;
	: spacer { width = 2; }
	info_button;
}

configure_button : button {
	key = "config";
	label = "Configure...";
	mnemonic = "g";
	fixed_width = true;
}

config : dialog {
	label = "Configuration";
	: column {
		: edit_box {
			key = "sys_lib_dir";
			label = "System Lib Dir: ";
			mnemonic = "S";
			edit_width = 25;
		}
		no_dwg_lib;
		: row {
			new_layers;
			pline_point;
		}
		ok_cancel_help;
	}
}

no_dwg_lib : toggle {
	key         = "no_dwg_lib";
	label       = "Disable Drawing Library";
	mnemonic    = "D";
	fixed_width = true;
	alignment   = centered;
}

new_layers : boxed_column {
	label = "New Layers";
	: toggle {
		key = "new_ignore";
		label = "Ignore";
		mnemonic = "I";
	}
	spacer_1;
	: toggle {
		key = "new_off";
		label = "Off";
		mnemonic = "O";
	}
	: toggle {
		key = "new_frozen";
		label = "Frozen";
		mnemonic = "F";
	}
	: toggle {
		key = "new_locked";
		label = "Locked";
		mnemonic = "L";
	}
}

pline_point : boxed_column {
	key = "pline_point";
	label = "Polyface Mesh Location:";
	: button {
		label = "Pick Point <";
		fixed_width = true;
	}
	: edit_box {
		label = "X:";
	}
	: edit_box {
		label = "Y:";
	}
	: edit_box  {
		label = "Z:";
	}
}

sheet_name : edit_box {
	key = "sheet_name";
	label = "Sheet name: ";
	mnemonic = "n";
	edit_width = 8;
	edit_limit = 8;
	fixed_width = true;
}

sheet_desc : edit_box {
	key = "sheet_desc";
	label = "Description:";
	mnemonic = "D";
	edit_width = 32;
	edit_limit = 32;
	allow_accept = true;
	fixed_width = true;
}

existing_sheets : boxed_column {
	label = "Existing Sheets";
	: row {
		sheet_library;
		: button {
			key = "purge";
			label = " Purge ";
			mnemonic = "P";
			fixed_width = true;
		}
	}
	: list_box {
		key   = "sheet_list";
		label = " Name       Description";
		tabs  = "12";
		width = 47;
	}
}

sheet_library : popup_list {
	key         = "sheet_lib";
	label       = "Library:";
	list        = "Drawing\nDirectory\nSystem";
	mnemonic = "b";
	edit_width  = 10;
	is_tab_stop = false;
	fixed_width = true;
	alignment   = right;
}

regenauto_tile : radio_row {
	key = "regenauto";
	label = "RegenAuto:";
	fixed_height = true;
	: radio_button {
		key = "1";
		label = "On";
		mnemonic = "O";
	}
	: radio_button {
		key = "0";
		label = "Off";
		mnemonic = "f";
	}
}

vplayer_tile : boxed_column {
	key = "viewports";
	label = "Viewports:";
	fixed_height = true;
	: toggle {
		key = "vplayer";
		label = "VPLAYER";
		mnemonic = "V";
	}
	: radio_column {
		key = "which_vport";
		: radio_button {
			key = "current";
			label = "Current";
			mnemonic = "u";
		}
		: radio_button {
			key = "select";
			label = "Select";
			mnemonic = "e";
		}
		: radio_button {
			key = "all";
			label = "All";
			mnemonic = "A";
		}
	}
}

restore_tile : boxed_column {
	key = "restore_tile";
	label = "Restore";
	fixed_height = true;
	: toggle {
		key = "restore_clayer";
		label = "Cur Layer";
		mnemonic = "L";
		fixed_height = true;
	}
	: toggle {
		key = "restore_status";
		mnemonic = "S";
		label = "Status";
		fixed_height = true;
	}
	: toggle {
		key = "restore_color";
		mnemonic = "C";
		label = "Color";
		fixed_height = true;
	}
	: toggle {
		key = "restore_ltype";
		mnemonic = "t";
		label = "Linetype";
		fixed_height = true;
	}
}

restore_button : button {
	key         = "accept";
	label       = " Restore ";
	mnemonic    = "R";
	fixed_width = true;
	is_default  = true;
}

write_button : button {
	key         = "accept";
	label       = " Write ";
	mnemonic    = "W";
	fixed_width = true;
	is_default  = true;
}

exit_button : button {
	key         = "cancel";
	label       = " Exit ";
	mnemonic    = "x";
	fixed_width = true;
	is_cancel   = true;
}

invalid_message : text {
	key = "invalid";
	alignment = centered;
}

yes : dialog {
	label = "Sheet Alert";
	: column {
		: text {
			key = "title";
			width = 50;
			alignment = centered;
		}
		: row {
			fixed_width = true;
			alignment = centered;
			: button {
				label    = "  Yes  ";
				key      = "yes";
				mnemonic = "Y";
			}
			: spacer {
				width = 3;
			}
			: button {
				label     = "  No  ";
				key       = "no";
				mnemonic  = "N";
				is_cancel = true;
			}
		}
	}
}

show_info : dialog {
	label = "Program Information";
	: column {
		width = 45;
		: text { key = "program_name"; }
		: text { key = "copyright";    }
		spacer_1;
		: text { key = "author";       }
		: text { key = "cis_id"; }
		: text { key = "internet"; }
		spacer_1;
		: text { key = "compile_date"; }
		ok_only;
	}
}

version_update : dialog {
	label = "Version Update";
	: column {
		width = 60;
		: text {
			value = "A new version of the SHEET program has been installed!";
			alignment = centered;
		}
		: text {
			value = "See the REVISION_HISTORY help item for details.";
			alignment = centered;
		}
		: row {
			alignment = centered;
			: button {
				label = "  What's new?  ";
				key = "accept";
				fixed_width = true;
				is_default = true;
			}
			spacer_1;
			: button {
				label = "  I'll check it out later  ";
				key = "cancel";
				fixed_width = true;
				is_cancel = true;
			}
		}
	}
}

